ubuntu执行apt-get install出现E: Unable to locate package 问题

报错原因:就是没找到你要安装的那个软件。


解决方法:


1.检查你要安装的软件名中,是不是吧英文的“-”写成了中文的“—”。


2.所要安装的那个软件已经不存在了,极有可能是改名了。所以你需要执行apt-cache search 关键字,查找你所要安装的这类软件,找到后再执行apt-get install。


3.更新源,然后执行apt-get update,接着执行apt-get upgrade,具体方法可自行百度。


例如安装openstack中neutron组件的neutron-linuxbridge-agent,就会出现这样的错误,可以用解决方法2,搜索neutron,然后会发现有一个叫做neutron-plugin-linuxbridge-agen的。

相关文章
相关标签/搜索